<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Members extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
         Schema::create('members', function (Blueprint $table) {
            $table->increments('id');
            $table->string('username',250);
            $table->string('email', 250)->unique();
            $table->string('password', 300);
            $table->string('phone', 30)->unique()->nullable();
            $table->integer('project_id')->nullable();
            $table->enum('gender', array('male', 'female'))->nullable();
            $table->string('city', 100)->nullable();
            $table->string('full_name', 300)->nullable();
            $table->enum('job', array('employee', 'student'))->nullable();
            $table->rememberToken();
            $table->timestamps();
            $table->softDeletes();

            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
       Schema::dropIfExists('members');   
    }
}
